import { jsx } from "react/jsx-runtime";
import { Notebook as Notebook$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Notebook = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Notebook", ...props, children: /* @__PURE__ */ jsx(Notebook$1, { weight: variant }) });
  }
);
Notebook.displayName = "Notebook";
Object.assign(Notebook, { isGdsIcon: true });
export {
  Notebook
};
